plugins {
    // Apply the Kotlin JVM plugin to add support for Kotlin on the JVM.
    id("org.jetbrains.kotlin.jvm").version("1.3.70")

    // Apply the application plugin to add support for building a CLI application.
    application
}

repositories {
    // Use Maven Central for resolving your dependencies.
    // You can declare any Maven/Ivy/file repository here.
    mavenCentral() // core, minim, stdlib
}

dependencies {
    // Use the Kotlin JDK 8 standard library.
    implementation("org.jetbrains.kotlin:kotlin-stdlib-jdk8")

    implementation("org.processing:core:3.3.6")
    implementation("org.jogamp.jogl:jogl-all-main:2.3.2")
    implementation("net.compartmental.code:minim:2.2.2")
}

application {
    // Define the main class for the application.
    mainClassName = "TestMinimKt"
}
